curl --request GET \
--url https://api.cnap.tech/v1/clusters/{id}/kube/{path} \
--header 'Authorization: Bearer <token>'{
"error": {
"code": "not_found",
"message": "Resource not found",
"param": "name",
"suggestion": "Run `cnap clusters list` to see available clusters",
"details": null
}
}Transparent proxy to the cluster’s Kubernetes API server. The path after /kube/ is forwarded directly. All HTTP methods are supported.
Examples:
GET /clusters/{id}/kube/api/v1/namespaces — list namespacesGET /clusters/{id}/kube/api/v1/namespaces/{ns}/pods — list podsGET /clusters/{id}/kube/api/v1/namespaces/{ns}/pods/{pod}/log?tailLines=100 — pod logsGET /clusters/{id}/kube/apis/apps/v1/namespaces/{ns}/deployments — list deploymentsGET /clusters/{id}/kube/openapi/v3 — Kubernetes OpenAPI speccurl --request GET \
--url https://api.cnap.tech/v1/clusters/{id}/kube/{path} \
--header 'Authorization: Bearer <token>'{
"error": {
"code": "not_found",
"message": "Resource not found",
"param": "name",
"suggestion": "Run `cnap clusters list` to see available clusters",
"details": null
}
}Personal Access Token (cnap_pat_...) or OAuth2 JWT. Create tokens at https://cnap.tech/account/tokens
Cluster ID
Kubernetes API path
"api/v1/namespaces"
Kubernetes API response